import React from 'react'
import Match from './match'

class MatchList extends React.Component {
  render () {
    const filter = this.props.filters.date
    return (
      <div>
        <h2>Matches</h2>
        <ul>
          {this.props.matches.filter((match) => 
            (filter === "Alle" | match[1] == filter)
          ).map((match, key) => (
            <Match key={key} match={match} />
          ))}
        </ul>
      </div>
    )
  }
}

export default MatchList
